Skip to main content
PUT
/
api
/
v1
/
merchant
/
webhooks
/
{id}
Update a webhook
curl --request PUT \
  --url https://payments.oaknetwork.org/api/v1/merchant/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "description": "<string>"
}
'
{
  "msg": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "url": "<string>",
    "description": "<string>",
    "isActive": true,
    "secret": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Path Parameters

id
string<uuid>
required

Body

application/json
url
string
Maximum string length: 255
description
string
Maximum string length: 255

Response

Webhook updated

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)